Loading...
Searching...
No Matches
XrdCmsFinder.cc File Reference
`#include <cstdlib>`
`#include <cstdio>`
`#include <cerrno>`
`#include <fcntl.h>`
`#include <limits.h>`
`#include <strings.h>`
`#include <ctime>`
`#include <unistd.h>`
`#include <sys/stat.h>`
`#include <sys/times.h>`
`#include <sys/types.h>`
`#include <sys/uio.h>`
`#include <sys/wait.h>`
`#include <netinet/in.h>`
`#include <cinttypes>`
`#include "XrdVersion.hh"`
`#include "XProtocol/YProtocol.hh"`
`#include "XrdCms/XrdCmsClientConfig.hh"`
`#include "XrdCms/XrdCmsClientMan.hh"`
`#include "XrdCms/XrdCmsClientMsg.hh"`
`#include "XrdCms/XrdCmsFinder.hh"`
`#include "XrdCms/XrdCmsParser.hh"`
`#include "XrdCms/XrdCmsResp.hh"`
`#include "XrdCms/XrdCmsRRData.hh"`
`#include "XrdCms/XrdCmsSecurity.hh"`
`#include "XrdCms/XrdCmsTrace.hh"`
`#include "XrdOss/XrdOss.hh"`
`#include "XrdOuc/XrdOucBuffer.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucErrInfo.hh"`
`#include "XrdOuc/XrdOucReqID.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdNet/XrdNetOpts.hh"`
`#include "XrdNet/XrdNetSocket.hh"`
`#include "XrdSfs/XrdSfsInterface.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysTimer.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
`#include "XrdSys/XrdSysPlugin.hh"`
Include dependency graph for XrdCmsFinder.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdCms

## Functions

XrdSysError | XrdCms::Say (0, "cms_")
void * | XrdCmsStartManager (void *carg)
void * | XrdCmsStartResp (void *carg)
| XrdCms::XrdVERSIONINFODEF (myVersion, cmsclient, XrdVNUMBER, XrdVERSION)

## Variables

XrdSysTrace | XrdCms::Trace ("cms")

## Function Documentation

## XrdCmsStartManager()

void * XrdCmsStartManager | ( | void * | carg | ) |

Definition at line 764 of file XrdCmsFinder.cc.

{XrdCmsClientMan *mp = (XrdCmsClientMan *)carg;
return mp->Start();
}
XrdCmsClientMan
Definition XrdCmsClientMan.hh:48
XrdCmsClientMan::Start
void * Start()
Definition XrdCmsClientMan.cc:225

References XrdCmsClientMan::Start().

Here is the call graph for this function:

## XrdCmsStartResp()

void * XrdCmsStartResp | ( | void * | carg | ) |

Definition at line 769 of file XrdCmsFinder.cc.

{XrdCmsResp::Reply();
return (void *)0;
}
XrdCmsResp::Reply
static void Reply()
Definition XrdCmsResp.cc:164

References XrdCmsResp::Reply().

Here is the call graph for this function: